package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetSignalInvitationInfoStartAppLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetSignalInvitationInfoStartAppLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetSignalInvitationInfoStartAppLogic {
	return &GetSignalInvitationInfoStartAppLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetSignalInvitationInfoStartAppLogic) GetSignalInvitationInfoStartApp(in *rtc.GetSignalInvitationInfoStartAppReq) (*rtc.GetSignalInvitationInfoStartAppResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.GetSignalInvitationInfoStartAppResp{}, nil
}
